std::__profile::forward_list< _Tp, _Alloc > Class Template Reference

Inherits forward_list< _Tp, _Alloc >.

## Public Types

typedef _Base::size_type | size_type

## Public Attributes

const _Alloc & | __al: _Base(__list
| __pad0__: _Base(__al) { } forward_list(const forward_list& __list

## Detailed Description

### template<typename _Tp, typename _Alloc = std::allocator<_Tp>>
class std::__profile::forward_list< _Tp, _Alloc >

Class std::forward_list wrapper with performance instrumentation.

Definition at line 44 of file profile/forward_list.

The documentation for this class was generated from the following file:

- profile/forward_list